\[MMO\] Hide for XenForo 2.2.0+
===============================

Description
-----------

Custom hide system

Requirements
------------

- \[MMO\] Core Library 2.2.2+

Options
-------

#### \[MMO\] Hide

| Name                                       | Description                                                                                                                                    |
| ------------------------------------------ | ---------------------------------------------------------------------------------------------------------------------------------------------- |
| Club member groups                         | These user groups will be presented as members of the club.                                                                                    |
| The hide tag will work as a reply tag      | If enabled, then you will need to change the phrases associated with the hide tag                                                              |
| Use caching field reactions on tag thanks? | When using a caching field at the output, not all results are obtained in the set reactions and you need to remove and set the reaction again. |
| Hide user groups in tag groups             | Displays available groups when selecting hidden content groups in the groups tag                                                               |
| Default sort order                         | When viewing the dialog hide tag, this will be the default sort order for user groups.                                                         |

Permissions
-----------

#### \[MMO\] Hide

- Use tag code content \[HIDE\]
- Use tag code content \[POSTS\]
- Use tag code content \[LIKES\]
- Use tag code content \[DAYS\]
- Use tag code content \[TROPHIES\]
- Use tag code content \[CLUB\]
- Use tag code content \[GROUPS\]
- Use tag code content \[THANKS\]
- Use tag code content \[REACTS\]
- Use tag code content \[REPLY\]
- Use tag code content \[REPLYTHANKS\]
- Use tag code content \[REPLYANDTHANKS\]
- Use tag code content \[USERS\]
- Use tag code content \[USERSID\]
- Use tag code content \[USERSEXC\]
- Use tag code content \[USERSIDEXC\]
- Ignoring code content \[HIDE\]
- Ignoring code content \[POSTS\]
- Ignoring code content \[LIKES\]
- Ignoring code content \[DAYS\]
- Ignoring code content \[TROPHIES\]
- Ignoring code content \[CLUB\]
- Ignoring code content \[GROUPS\]
- Ignoring code content \[THANKS\]
- Ignoring code content \[REACTS\]
- Ignoring code content \[REPLY\]
- Ignoring code content \[REPLYTHANKS\]
- Ignoring code content \[REPLYANDTHANKS\]
- Ignoring code content \[USERS\]
- Ignoring code content \[USERSID\]
- Ignoring code content \[USERSEXC\]
- Ignoring code content \[USERSIDEXC\]
- The ability to always see hidden content

BB Codes
--------

| Name                  | Tag              | Description                                                                                        | Example                                                                                                                                                                 |
| --------------------- | ---------------- | -------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| For club members      | `CLUB`           | Information inside the code is displayed only to members of the club.                              | \[CLUB\]Hello World!\[/CLUB\] - Hidden text for club members                                                                                                            |
| Number of days        | `DAYS`           | Number of days from the date of registration on the forum, which the user needs to be able to view | \[DAYS=5\]Hello World!\[/DAYS\] - Only registered users who are registered not earlier than 5 days ago are displayed.                                                   |
| For user groups       | `GROUPS`         | The tag hides content from people who are not members of X,Y,Z usergroups.                         | \[GROUPS=2\]Hello World!\[/GROUPS\] - Displayed only for group members with ID 2.                                                                                       |
| For register only     | `HIDE`           | Hidden text: For register users only                                                               | \[HIDE\]Hello World!\[/HIDE\] - only registered users see the hidden text                                                                                               |
| Number of likes       | `LIKES`          | Number of like on the forum, which the user needs to be able to view                               | \[LIKES=5\]Hello World!\[/LIKES\] - Displayed only registered users whose number of reactions on the forum is greater than or equal to 5.                               |
| Number of posts       | `POSTS`          | Number of posts on the forum, which the user needs to be able to view                              | \[POSTS=5\]Hello World!\[/POSTS\] - Displays users who have 5 or more posts on the forum.                                                                               |
| By the reacts         | `REACTS`         | Hidden text for which you need to select a specific reaction                                       | \[REACTS=1\]Hello World!\[/REACTS\] - displayed for those who clicked the 'Like' reaction.                                                                              |
| Answers the thread    | `REPLY`          | Hidden text until the user answers the thread.                                                     | \[REPLY\]Hello World!\[/REPLY\] - Displayed to users when they reply to the thread.                                                                                     |
| Answer and click Like | `REPLYANDTHANKS` | Hidden text until the user responds to the thread and clicks Like on this message.                 | \[REPLYANDTHANKS\]Hello World!\[/REPLYANDTHANKS\] - It is displayed to users when they reply to the thread and click "I like".                                          |
| Answer or click Like  | `REPLYTHANKS`    | Hidden text until the user responds to the thread or clicks Like on this message.                  | \[REPLYTHANKS\]Hello World!\[/REPLYTHANKS\] - It is displayed to users when they reply to the thread or click "I like".                                                 |
| Click "Like"          | `THANKS`         | This tag hides the text until the user clicks the Like button in the message.                      | \[THANKS\]Hello World!\[/THANKS\] - This tag hides the text until the user clicks the Like button in the message.                                                       |
| Number of trophies    | `TROPHIES`       | Number of trophies on the forum, which the user needs to be able to view                           | \[TROPHIES=5\]Hello World!\[/TROPHIES\] - It is displayed only to registered users, the number of points for trophies on the forum which is greater than or equal to 5. |
| For users             | `USERS`          | Hides the text from users, except for the parameters listed in the list of BB-code.                | \[USERS=Alex,John,Bryan\]Hello World!\[/USERS\] - Displayed only by user Alex, John, Bryan.                                                                             |
| Exclude users         | `USERSEXC`       | Hides the text from users that are listed in the list of parameters of the BB-code.                | \[USERSEXC=Alex,John,Bryan\]Hello World!\[/USERSEXC\] - Displayed to all users except Alex, John, Bryan.                                                                |
| Users by id           | `USERSID`        | Hides the text from users by id, except for the parameters listed in the list of BB-code.          | \[USERIDS=1,2,3\]Hello World!\[/USERIDS\] - Appears only for users with ids 1, 2, 3.                                                                                    |
| Exclude users by id   | `USERSIDEXC`     | Hides the text from users by id that are listed in the list of parameters of the BB-code.          | \[USERSIDEXC=1,2,3\]Hello World!\[/USERSIDEXC\] - Appears only for all users except with ids 1, 2, 3.                                                                   |

Style Properties
----------------

#### \[MMO\] Hide Style Properties

| Property                                              | Description                                                                                                                                |
| ----------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------ |
| BB code block - hide (hidden)                         | Special styling rules for the hide BB codes content in hidden state.                                                                       |
| Use tag style \[QUOTE\]                               | If selected, the same style as the quote will be used. If not selected, the usual block that is configured in these settings will be used. |
| BB code block - hide (shown)                          | Special styling rules for the hide BB codes content in shown state.                                                                        |
| Show title in visible hide                            |                                                                                                                                            |
| BB code block - hide title (shown)                    |                                                                                                                                            |
| Block displayed to guests when viewing hidden content | Setting the display of hidden content to guests with a request to log in or register                                                       |