<?php

namespace MMO\Hide\BbCode\Tag;

use MMO\Hide\BbCode\AbstractTag;

class HideByUserAge extends AbstractTag
{
    /**
     * @inheritDoc
     */
    public function render($content, array $tagChildren, $tagOption, array $tag, array $options)
    {
        $requiredAge = \intval($tagOption);
        $userAge = $this->visitor()->Profile->getAge(true);

        $canView = $userAge !== false && $userAge >= $requiredAge;

        $params = [
            'age' => $requiredAge
        ];

        $title = [
            'visible' => $this->getTitleVisible('mh_tag_hide_by_user_age', $params),
            'hidden' => $this->getTitleHidden('mh_tag_hide_by_user_age', $params)
        ];

        return $this->renderTemplate($content, $title, [
            'canView' => $canView,
            'options' => $options,
            'tag' => $tag['tag']
        ]);
    }
}