<?php

namespace MMO\Hide\BbCode\Tag;

use MMO\Hide\BbCode\AbstractTag;

class HideClub extends AbstractTag
{
    /**
     * @inheritDoc
     */
    public function render($content, array $tagChildren, $tagOption, array $tag, array $options)
    {
        $canView = false;
        $groupsAvailable = $this->options()->mhClubGroups;
        foreach ($groupsAvailable as $groupId)
        {
            if ($this->visitor()->isMemberOf($groupId))
            {
                $canView = true;
                break;
            }
        }

        $title = [
            'visible' => $this->getTitleVisible('mh_tag_club'),
            'hidden' => $this->getTitleHidden('mh_tag_club')
        ];

        return $this->renderTemplate($content, $title, [
            'canView' => $canView,
            'options' => $options,
            'tag' => $tag['tag']
        ]);
    }
}