<?php

namespace MMO\Hide\BbCode\Tag;

use MMO\CoreLib\Util\Plural;
use MMO\Hide\BbCode\AbstractTag;

class HideDays extends AbstractTag
{
    /**
     * @inheritDoc
     */
    public function render($content, array $tagChildren, $tagOption, array $tag, array $options)
    {
        $requiredDays = \intval($tagOption);
        $userDays = \intval((\XF::$time - $this->visitor()->register_date) / 86400);

        $params = [
            'need_days' => Plural::choice('mh_tag_days_need_days', $requiredDays),
            'now_days' => Plural::choice('mh_tag_days_now_days', $userDays)
        ];

        $title = [
            'visible' => $this->getTitleVisible('mh_tag_days', $params),
            'hidden' => $this->getTitleHidden('mh_tag_days', $params)
        ];

        return $this->renderTemplate($content, $title, [
            'canView' => $requiredDays <= $userDays || $this->visitor()->canIgnoreHideTagCondition($tag['tag'], $requiredDays),
            'options' => $options,
            'tag' => $tag['tag']
        ]);
    }
}