<?php

namespace MMO\Hide\BbCode\Tag;

use MMO\CoreLib\Util\Plural;
use MMO\Hide\BbCode\AbstractTag;

class HideLikes extends AbstractTag
{
    /**
     * @inheritDoc
     */
    public function render($content, array $tagChildren, $tagOption, array $tag, array $options)
    {
        $requiredReactions = \intval($tagOption);
        $currentReactions = $this->visitor()->reaction_score;

        $params = [
            'need_reactions' => Plural::choice('mh_tag_likes_need_reactions', $requiredReactions),
            'now_reactions' => Plural::choice('mh_tag_likes_now_reactions', $currentReactions)
        ];

        $title = [
            'visible' => $this->getTitleVisible('mh_tag_likes', $params),
            'hidden' => $this->getTitleHidden('mh_tag_likes', $params)
        ];

        return $this->renderTemplate($content, $title, [
            'canView' => $requiredReactions <= $currentReactions || $this->visitor()->canIgnoreHideTagCondition($tag['tag'], $requiredReactions),
            'options' => $options,
            'tag' => $tag['tag']
        ]);
    }
}