<?php

namespace MMO\Hide\BbCode\Tag;

use MMO\Hide\BbCode\AbstractTag;
use MMO\Hide\BbCode\Traits\HasReactionTrait;
use MMO\Hide\BbCode\Traits\HasReplyTrait;

class HideReplyThanks extends AbstractTag
{
    use HasReactionTrait,
        HasReplyTrait;

    /**
     * @inheritDoc
     */
    public function render($content, array $tagChildren, $tagOption, array $tag, array $options)
    {
        $title = [
            'visible' => $this->getTitleVisible('mh_tag_reply_or_thanks'),
            'hidden' => $this->getTitleHidden('mh_tag_reply_or_thanks')
        ];

        return $this->renderTemplate($content, $title, [
            'canView' => $this->checkLike($options) || $this->canReplyView($options),
            'options' => $options,
            'tag' => $tag['tag']
        ]);
    }
}