<?php

namespace MMO\Hide\BbCode\Tag;

use MMO\CoreLib\Util\Plural;
use MMO\Hide\BbCode\AbstractTag;

class HideTrophies extends AbstractTag
{
    /**
     * @inheritDoc
     */
    public function render($content, array $tagChildren, $tagOption, array $tag, array $options)
    {
        $requiredTrophies = \intval($tagOption);
        $currentTrophies = $this->visitor()->trophy_points;

        $params = [
            'need_trophies' => Plural::choice('mh_tag_trophies_need_trophies', $requiredTrophies),
            'now_trophies' => Plural::choice('mh_tag_trophies_now_trophies', $currentTrophies)
        ];

        $title = [
            'visible' => $this->getTitleVisible('mh_tag_trophies', $params),
            'hidden' => $this->getTitleHidden('mh_tag_trophies', $params)
        ];

        return $this->renderTemplate($content, $title, [
            'canView' => $requiredTrophies <= $currentTrophies || $this->visitor()->canIgnoreHideTagCondition($tag['tag'], $requiredTrophies),
            'options' => $options,
            'tag' => $tag['tag']
        ]);
    }
}