<?php

namespace MMO\Hide\Option;

use MMO\Hide\Data\HideTags;
use XF\Entity\Option;
use XF\Option\AbstractOption;
use XF\Util\Arr;

class TagsOption extends AbstractOption
{
    public static function verifyOption(string &$value, Option $option) : bool
    {
        $tags = Arr::stringToArray($value, '/\r?\n/');

        /** @var HideTags $hideTags */
        $hideTags = \XF::app()->data(HideTags::class);

        foreach ($tags AS $tag)
        {
            if(!\in_array($tag, $hideTags->getHideTags()))
            {
                $option->error(\XF::phrase('mh_please_enter_allowed_hide_tag'), $option->option_id);
                return false;
            }
        }

        return true;
    }
}