<?php

namespace MMO\Hide\XF\NewsFeed;

use MMO\Hide\Data\HideTags;
use XF\Entity\NewsFeed;
use XF\Mvc\Entity\Entity;

class ThreadHandler extends XFCP_ThreadHandler
{
    /**
     * @param NewsFeed $newsFeed
     * @param Entity|null $content
     * @return string
     */
    public function render(NewsFeed $newsFeed, Entity $content = null)
    {
        if (!$content)
        {
            /** @var \XF\Entity\Thread $content */
            $content = $newsFeed->Content;
            if (!$content)
            {
                return '';
            }
        }

        /** @var HideTags $hideTags */
        $hideTags = \XF::app()->data(HideTags::class);
        if($hideTags->findHideTags($content->FirstPost->message))
        {
            $content->FirstPost->attach_count = 0;
        }

        return parent::render($newsFeed, $content);
    }
}