<?php

namespace MMO\Hide\XF\Str;

use MMO\Hide\Data\HideTags;

class Formatter extends XFCP_Formatter
{
    /**
     * @param $bbCode
     * @param $context
     *
     * @return string
     */
    public function getBbCodeForQuote($bbCode, $context)
    {
        /** @var HideTags $hideTag */
        $hideTag = \XF::app()->data(HideTags::class);
        return parent::getBbCodeForQuote($hideTag->stripHideTags($bbCode, \XF::phrase('mh_strip_noquote')), $context);
    }

    /**
     * @param $string
     * @param array $options
     *
     * @return string
     */
    public function stripBbCode($string, array $options = [])
    {
        /** @var HideTags $hideTag */
        $hideTag = \XF::app()->data(HideTags::class);
        return parent::stripBbCode($hideTag->stripHideTags($string, 'mh_strip_visited_thread'), $options);
    }

    /**
     * @param $string
     * @param int $maxLength
     * @param array $options
     *
     * @return mixed|string|string[]|null
     */
    public function snippetString($string, $maxLength = 0, array $options = [])
    {
        /** @var HideTags $hideTag */
        $hideTag = \XF::app()->data(HideTags::class);
        return parent::snippetString($hideTag->stripHideTags($string, \XF::phrase('mh_strip_visited_thread')), $maxLength, $options);
    }
}